! -*- F90 -*-
! 
! IBM's F2003 compiler gets confused if we have lots of identical local interface declarations, so we gather them in this include file.
! 

#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_loadLibrary_c
#endif
interface
  integer(c_int) function sidl_DLL_loadLibrary_c(self, uri, loadGlobally,      &
    loadLazy, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  in string uri
    character(kind=c_char), dimension(*) :: uri
    !  in bool loadGlobally
    integer(c_int), value :: loadGlobally
    !  in bool loadLazy
    integer(c_int), value :: loadLazy
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_DLL_loadLibrary_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_getName_c
#endif
interface
  type(c_ptr) function sidl_DLL_getName_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_DLL_getName_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_isGlobal_c
#endif
interface
  integer(c_int) function sidl_DLL_isGlobal_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_DLL_isGlobal_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_isLazy_c
#endif
interface
  integer(c_int) function sidl_DLL_isLazy_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_DLL_isLazy_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_unloadLibrary_c
#endif
interface
  subroutine sidl_DLL_unloadLibrary_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_DLL_unloadLibrary_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_lookupSymbol_c
#endif
interface
  type(c_ptr) function sidl_DLL_lookupSymbol_c(self, linker_name, exception)   &
    bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  in string linker_name
    character(kind=c_char), dimension(*) :: linker_name
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_DLL_lookupSymbol_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_createClass_c
#endif
interface
  type(c_ptr) function sidl_DLL_createClass_c(self, sidl_name, exception)      &
    bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  in string sidl_name
    character(kind=c_char), dimension(*) :: sidl_name
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_DLL_createClass_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_newLocal_c
#endif
interface
  subroutine sidl_DLL_newLocal_c(self, exception) bind(c,                      &
    name="sidl_DLL_newLocal_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.DLL self
    type(c_ptr) :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_DLL_newLocal_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_newRemote_c
#endif
interface
  subroutine sidl_DLL_newRemote_c(self, url, exception) bind(c,                &
    name="sidl_DLL_newRemote_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.DLL self
    type(c_ptr) :: self
    !  in string url
    character(kind=c_char), dimension(*) :: url
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_DLL_newRemote_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_rConnect_c
#endif
interface
  subroutine sidl_DLL_rConnect_c(self, url, exception) bind(c,                 &
    name="sidl_DLL_rConnect_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.DLL self
    type(c_ptr) :: self
    !  in string url
    character(kind=c_char), dimension(*) :: url
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_DLL_rConnect_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_addRef_c
#endif
interface
  subroutine sidl_DLL_addRef_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_DLL_addRef_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_deleteRef_c
#endif
interface
  subroutine sidl_DLL_deleteRef_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_DLL_deleteRef_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_isSame_c
#endif
interface
  integer(c_int) function sidl_DLL_isSame_c(self, iobj, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  in sidl.BaseInterface iobj
    type(c_ptr), value :: iobj
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_DLL_isSame_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_isType_c
#endif
interface
  integer(c_int) function sidl_DLL_isType_c(self, name, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  in string name
    character(kind=c_char), dimension(*) :: name
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_DLL_isType_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL_getClassInfo_c
#endif
interface
  type(c_ptr) function sidl_DLL_getClassInfo_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_DLL_getClassInfo_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_BaseClass__cast_c
#endif
interface
  subroutine sidl_BaseClass__cast_c(ref, retval, exception) bind(c,            &
    name="sidl_BaseClass__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.BaseClass retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_BaseClass__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL__cast_c
#endif
interface
  subroutine sidl_DLL__cast_c(ref, retval, exception) bind(c,                  &
    name="sidl_DLL__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.DLL retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_DLL__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_BaseInterface__cast_c
#endif
interface
  subroutine sidl_BaseInterface__cast_c(ref, retval, exception) bind(c,        &
    name="sidl_BaseInterface__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.BaseInterface retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_BaseInterface__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL__exec_c
#endif
interface
  subroutine sidl_DLL__exec_c(self, methodName, inArgs, outArgs, exception)    &
    bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  in string methodName
    character(kind=c_char), dimension(*) :: methodName
    !  in sidl.rmi.Call inArgs
    type(c_ptr), value :: inArgs
    !  in sidl.rmi.Return outArgs
    type(c_ptr), value :: outArgs
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_DLL__exec_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL__getURL_c
#endif
interface
  type(c_ptr) function sidl_DLL__getURL_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_DLL__getURL_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL__isRemote_c
#endif
interface
  integer(c_int) function sidl_DLL__isRemote_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_DLL__isRemote_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL__isLocal_c
#endif
interface
  subroutine sidl_DLL__isLocal_c(self, retval, exception) bind(c,              &
    name="sidl_DLL__isLocal_c")
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  out bool retval
    integer(c_int) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_DLL__isLocal_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_DLL__set_hooks_c
#endif
interface
  subroutine sidl_DLL__set_hooks_c(self, enable, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL self
    type(c_ptr), value :: self
    !  in bool enable
    integer(c_int), value :: enable
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_DLL__set_hooks_c
end interface
