! -*- F90 -*-
! 
! IBM's F2003 compiler gets confused if we have lots of identical local interface declarations, so we gather them in this include file.
! 

#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_setEnforceAll_c
#endif
interface
  subroutine sidl_EnfPolicy_setEnforceAll_c(contractClass, clearStats,         &
    exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.ContractClass contractClass
    integer(c_int64_t), value :: contractClass
    !  in bool clearStats
    integer(c_int), value :: clearStats
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy_setEnforceAll_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: get_sepv_c
#endif
interface
  type(c_ptr) function get_sepv_c() bind(c, name="sidl_EnfPolicy_getSEPV")
  use, intrinsic :: iso_c_binding
  end function get_sepv_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_setEnforceNone_c
#endif
interface
  subroutine sidl_EnfPolicy_setEnforceNone_c(clearStats, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in bool clearStats
    integer(c_int), value :: clearStats
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy_setEnforceNone_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_setPolicy_c
#endif
interface
  subroutine sidl_EnfPolicy_setPolicy_c(contractClass, enforceFreq, interval,  &
    overheadLimit, appAvgPerCall, annealLimit, clearStats, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.ContractClass contractClass
    integer(c_int64_t), value :: contractClass
    !  in sidl.EnforceFreq enforceFreq
    integer(c_int64_t), value :: enforceFreq
    !  in int interval
    integer(c_int32_t), value :: interval
    !  in double overheadLimit
    real(c_double), value :: overheadLimit
    !  in double appAvgPerCall
    real(c_double), value :: appAvgPerCall
    !  in double annealLimit
    real(c_double), value :: annealLimit
    !  in bool clearStats
    integer(c_int), value :: clearStats
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy_setPolicy_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_areEnforcing_c
#endif
interface
  integer(c_int) function sidl_EnfPolicy_areEnforcing_c(exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_areEnforcing_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_getContractClass_c
#endif
interface
  integer(c_int64_t) function sidl_EnfPolicy_getContractClass_c(exception)     &
    bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_getContractClass_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_getEnforceFreq_c
#endif
interface
  integer(c_int64_t) function sidl_EnfPolicy_getEnforceFreq_c(exception) bind( &
    c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_getEnforceFreq_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_getSamplingInterval_c
#endif
interface
  integer(c_int32_t) function sidl_EnfPolicy_getSamplingInterval_c(exception)  &
    bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_getSamplingInterval_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_getOverheadLimit_c
#endif
interface
  real(c_double) function sidl_EnfPolicy_getOverheadLimit_c(exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_getOverheadLimit_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_getAppAvgPerCall_c
#endif
interface
  real(c_double) function sidl_EnfPolicy_getAppAvgPerCall_c(exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_getAppAvgPerCall_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_getAnnealLimit_c
#endif
interface
  real(c_double) function sidl_EnfPolicy_getAnnealLimit_c(exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_getAnnealLimit_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_getPolicyName_c
#endif
interface
  type(c_ptr) function sidl_EnfPolicy_getPolicyName_c(useAbbrev, exception)    &
    bind(c)
    use, intrinsic :: iso_c_binding
    !  in bool useAbbrev
    integer(c_int), value :: useAbbrev
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_getPolicyName_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_dumpStats_c
#endif
interface
  subroutine sidl_EnfPolicy_dumpStats_c(filename, header, prefix, compressed,  &
    exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in string filename
    character(kind=c_char), dimension(*) :: filename
    !  in bool header
    integer(c_int), value :: header
    !  in string prefix
    character(kind=c_char), dimension(*) :: prefix
    !  in bool compressed
    integer(c_int), value :: compressed
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy_dumpStats_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_startTrace_c
#endif
interface
  subroutine sidl_EnfPolicy_startTrace_c(filename, traceLevel, exception)      &
    bind(c)
    use, intrinsic :: iso_c_binding
    !  in string filename
    character(kind=c_char), dimension(*) :: filename
    !  in sidl.EnfTraceLevel traceLevel
    integer(c_int64_t), value :: traceLevel
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy_startTrace_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_areTracing_c
#endif
interface
  integer(c_int) function sidl_EnfPolicy_areTracing_c(exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_areTracing_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_getTraceFilename_c
#endif
interface
  type(c_ptr) function sidl_EnfPolicy_getTraceFilename_c(exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_getTraceFilename_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_getTraceLevel_c
#endif
interface
  integer(c_int64_t) function sidl_EnfPolicy_getTraceLevel_c(exception) bind(  &
    c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_getTraceLevel_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_endTrace_c
#endif
interface
  subroutine sidl_EnfPolicy_endTrace_c(exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy_endTrace_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_newLocal_c
#endif
interface
  subroutine sidl_EnfPolicy_newLocal_c(self, exception) bind(c,                &
    name="sidl_EnfPolicy_newLocal_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.EnfPolicy self
    type(c_ptr) :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy_newLocal_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_newRemote_c
#endif
interface
  subroutine sidl_EnfPolicy_newRemote_c(self, url, exception) bind(c,          &
    name="sidl_EnfPolicy_newRemote_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.EnfPolicy self
    type(c_ptr) :: self
    !  in string url
    character(kind=c_char), dimension(*) :: url
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy_newRemote_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_rConnect_c
#endif
interface
  subroutine sidl_EnfPolicy_rConnect_c(self, url, exception) bind(c,           &
    name="sidl_EnfPolicy_rConnect_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.EnfPolicy self
    type(c_ptr) :: self
    !  in string url
    character(kind=c_char), dimension(*) :: url
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy_rConnect_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_addRef_c
#endif
interface
  subroutine sidl_EnfPolicy_addRef_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.EnfPolicy self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy_addRef_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_deleteRef_c
#endif
interface
  subroutine sidl_EnfPolicy_deleteRef_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.EnfPolicy self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy_deleteRef_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_isSame_c
#endif
interface
  integer(c_int) function sidl_EnfPolicy_isSame_c(self, iobj, exception) bind( &
    c)
    use, intrinsic :: iso_c_binding
    !  in sidl.EnfPolicy self
    type(c_ptr), value :: self
    !  in sidl.BaseInterface iobj
    type(c_ptr), value :: iobj
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_isSame_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_isType_c
#endif
interface
  integer(c_int) function sidl_EnfPolicy_isType_c(self, name, exception) bind( &
    c)
    use, intrinsic :: iso_c_binding
    !  in sidl.EnfPolicy self
    type(c_ptr), value :: self
    !  in string name
    character(kind=c_char), dimension(*) :: name
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_isType_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy_getClassInfo_c
#endif
interface
  type(c_ptr) function sidl_EnfPolicy_getClassInfo_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.EnfPolicy self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy_getClassInfo_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_BaseClass__cast_c
#endif
interface
  subroutine sidl_BaseClass__cast_c(ref, retval, exception) bind(c,            &
    name="sidl_BaseClass__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.BaseClass retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_BaseClass__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy__cast_c
#endif
interface
  subroutine sidl_EnfPolicy__cast_c(ref, retval, exception) bind(c,            &
    name="sidl_EnfPolicy__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.EnfPolicy retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_BaseInterface__cast_c
#endif
interface
  subroutine sidl_BaseInterface__cast_c(ref, retval, exception) bind(c,        &
    name="sidl_BaseInterface__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.BaseInterface retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_BaseInterface__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy__exec_c
#endif
interface
  subroutine sidl_EnfPolicy__exec_c(self, methodName, inArgs, outArgs,         &
    exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.EnfPolicy self
    type(c_ptr), value :: self
    !  in string methodName
    character(kind=c_char), dimension(*) :: methodName
    !  in sidl.rmi.Call inArgs
    type(c_ptr), value :: inArgs
    !  in sidl.rmi.Return outArgs
    type(c_ptr), value :: outArgs
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy__exec_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy__getURL_c
#endif
interface
  type(c_ptr) function sidl_EnfPolicy__getURL_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.EnfPolicy self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy__getURL_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy__isRemote_c
#endif
interface
  integer(c_int) function sidl_EnfPolicy__isRemote_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.EnfPolicy self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_EnfPolicy__isRemote_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy__isLocal_c
#endif
interface
  subroutine sidl_EnfPolicy__isLocal_c(self, retval, exception) bind(c,        &
    name="sidl_EnfPolicy__isLocal_c")
    use, intrinsic :: iso_c_binding
    !  in sidl.EnfPolicy self
    type(c_ptr), value :: self
    !  out bool retval
    integer(c_int) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy__isLocal_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy__set_hooks_c
#endif
interface
  subroutine sidl_EnfPolicy__set_hooks_c(self, enable, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.EnfPolicy self
    type(c_ptr), value :: self
    !  in bool enable
    integer(c_int), value :: enable
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy__set_hooks_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_EnfPolicy__set_hooks_static_c
#endif
interface
  subroutine sidl_EnfPolicy__set_hooks_static_c(enable, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in bool enable
    integer(c_int), value :: enable
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_EnfPolicy__set_hooks_static_c
end interface
