! -*- F90 -*-
! 
! IBM's F2003 compiler gets confused if we have lots of identical local interface declarations, so we gather them in this include file.
! 

#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_loadLibrary_c
#endif
interface
  type(c_ptr) function sidl_Loader_loadLibrary_c(uri, loadGlobally, loadLazy,  &
    exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in string uri
    character(kind=c_char), dimension(*) :: uri
    !  in bool loadGlobally
    integer(c_int), value :: loadGlobally
    !  in bool loadLazy
    integer(c_int), value :: loadLazy
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_Loader_loadLibrary_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: get_sepv_c
#endif
interface
  type(c_ptr) function get_sepv_c() bind(c, name="sidl_Loader_getSEPV")
  use, intrinsic :: iso_c_binding
  end function get_sepv_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_addDLL_c
#endif
interface
  subroutine sidl_Loader_addDLL_c(dll, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.DLL dll
    type(c_ptr), value :: dll
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader_addDLL_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_unloadLibraries_c
#endif
interface
  subroutine sidl_Loader_unloadLibraries_c(exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader_unloadLibraries_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_findLibrary_c
#endif
interface
  type(c_ptr) function sidl_Loader_findLibrary_c(sidl_name, target, lScope,    &
    lResolve, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in string sidl_name
    character(kind=c_char), dimension(*) :: sidl_name
    !  in string target
    character(kind=c_char), dimension(*) :: target
    !  in sidl.Scope lScope
    integer(c_int64_t), value :: lScope
    !  in sidl.Resolve lResolve
    integer(c_int64_t), value :: lResolve
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_Loader_findLibrary_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_setSearchPath_c
#endif
interface
  subroutine sidl_Loader_setSearchPath_c(path_name, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in string path_name
    character(kind=c_char), dimension(*) :: path_name
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader_setSearchPath_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_getSearchPath_c
#endif
interface
  type(c_ptr) function sidl_Loader_getSearchPath_c(exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_Loader_getSearchPath_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_addSearchPath_c
#endif
interface
  subroutine sidl_Loader_addSearchPath_c(path_fragment, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in string path_fragment
    character(kind=c_char), dimension(*) :: path_fragment
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader_addSearchPath_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_setFinder_c
#endif
interface
  subroutine sidl_Loader_setFinder_c(f, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.Finder f
    type(c_ptr), value :: f
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader_setFinder_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_getFinder_c
#endif
interface
  type(c_ptr) function sidl_Loader_getFinder_c(exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_Loader_getFinder_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_newLocal_c
#endif
interface
  subroutine sidl_Loader_newLocal_c(self, exception) bind(c,                   &
    name="sidl_Loader_newLocal_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.Loader self
    type(c_ptr) :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader_newLocal_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_newRemote_c
#endif
interface
  subroutine sidl_Loader_newRemote_c(self, url, exception) bind(c,             &
    name="sidl_Loader_newRemote_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.Loader self
    type(c_ptr) :: self
    !  in string url
    character(kind=c_char), dimension(*) :: url
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader_newRemote_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_rConnect_c
#endif
interface
  subroutine sidl_Loader_rConnect_c(self, url, exception) bind(c,              &
    name="sidl_Loader_rConnect_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.Loader self
    type(c_ptr) :: self
    !  in string url
    character(kind=c_char), dimension(*) :: url
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader_rConnect_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_addRef_c
#endif
interface
  subroutine sidl_Loader_addRef_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.Loader self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader_addRef_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_deleteRef_c
#endif
interface
  subroutine sidl_Loader_deleteRef_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.Loader self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader_deleteRef_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_isSame_c
#endif
interface
  integer(c_int) function sidl_Loader_isSame_c(self, iobj, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.Loader self
    type(c_ptr), value :: self
    !  in sidl.BaseInterface iobj
    type(c_ptr), value :: iobj
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_Loader_isSame_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_isType_c
#endif
interface
  integer(c_int) function sidl_Loader_isType_c(self, name, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.Loader self
    type(c_ptr), value :: self
    !  in string name
    character(kind=c_char), dimension(*) :: name
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_Loader_isType_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader_getClassInfo_c
#endif
interface
  type(c_ptr) function sidl_Loader_getClassInfo_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.Loader self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_Loader_getClassInfo_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_BaseClass__cast_c
#endif
interface
  subroutine sidl_BaseClass__cast_c(ref, retval, exception) bind(c,            &
    name="sidl_BaseClass__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.BaseClass retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_BaseClass__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader__cast_c
#endif
interface
  subroutine sidl_Loader__cast_c(ref, retval, exception) bind(c,               &
    name="sidl_Loader__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.Loader retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_BaseInterface__cast_c
#endif
interface
  subroutine sidl_BaseInterface__cast_c(ref, retval, exception) bind(c,        &
    name="sidl_BaseInterface__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.BaseInterface retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_BaseInterface__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader__exec_c
#endif
interface
  subroutine sidl_Loader__exec_c(self, methodName, inArgs, outArgs,            &
    exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.Loader self
    type(c_ptr), value :: self
    !  in string methodName
    character(kind=c_char), dimension(*) :: methodName
    !  in sidl.rmi.Call inArgs
    type(c_ptr), value :: inArgs
    !  in sidl.rmi.Return outArgs
    type(c_ptr), value :: outArgs
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader__exec_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader__getURL_c
#endif
interface
  type(c_ptr) function sidl_Loader__getURL_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.Loader self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_Loader__getURL_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader__isRemote_c
#endif
interface
  integer(c_int) function sidl_Loader__isRemote_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.Loader self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_Loader__isRemote_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader__isLocal_c
#endif
interface
  subroutine sidl_Loader__isLocal_c(self, retval, exception) bind(c,           &
    name="sidl_Loader__isLocal_c")
    use, intrinsic :: iso_c_binding
    !  in sidl.Loader self
    type(c_ptr), value :: self
    !  out bool retval
    integer(c_int) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader__isLocal_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader__set_hooks_c
#endif
interface
  subroutine sidl_Loader__set_hooks_c(self, enable, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.Loader self
    type(c_ptr), value :: self
    !  in bool enable
    integer(c_int), value :: enable
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader__set_hooks_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_Loader__set_hooks_static_c
#endif
interface
  subroutine sidl_Loader__set_hooks_static_c(enable, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in bool enable
    integer(c_int), value :: enable
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_Loader__set_hooks_static_c
end interface
