! -*- F90 -*-
! 
! IBM's F2003 compiler gets confused if we have lots of identical local interface declarations, so we gather them in this include file.
! 

#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_registerInstance_c
#endif
interface
  type(c_ptr) function sidl_rmi_InstanceRegistry_registerInstance_c(instance,  &
    exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.BaseClass instance
    type(c_ptr), value :: instance
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_rmi_InstanceRegistry_registerInstance_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: get_sepv_c
#endif
interface
  type(c_ptr) function get_sepv_c() bind(c,                                    &
    name="sidl_rmi_InstanceRegistry_getSEPV")
  use, intrinsic :: iso_c_binding
  end function get_sepv_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_registerInstanceByString_c
#endif
interface
  type(c_ptr) function sidl_rmi_InstanceRegistry_registerInstanceByString_c(   &
    instance, instanceID, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.BaseClass instance
    type(c_ptr), value :: instance
    !  in string instanceID
    character(kind=c_char), dimension(*) :: instanceID
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_rmi_InstanceRegistry_registerInstanceByString_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_getInstanceByString_c
#endif
interface
  type(c_ptr) function sidl_rmi_InstanceRegistry_getInstanceByString_c(        &
    instanceID, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in string instanceID
    character(kind=c_char), dimension(*) :: instanceID
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_rmi_InstanceRegistry_getInstanceByString_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_getInstanceByClass_c
#endif
interface
  type(c_ptr) function sidl_rmi_InstanceRegistry_getInstanceByClass_c(         &
    instance, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.BaseClass instance
    type(c_ptr), value :: instance
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_rmi_InstanceRegistry_getInstanceByClass_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_removeInstanceByString_c
#endif
interface
  type(c_ptr) function sidl_rmi_InstanceRegistry_removeInstanceByString_c(     &
    instanceID, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in string instanceID
    character(kind=c_char), dimension(*) :: instanceID
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_rmi_InstanceRegistry_removeInstanceByString_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_removeInstanceByClass_c
#endif
interface
  type(c_ptr) function sidl_rmi_InstanceRegistry_removeInstanceByClass_c(      &
    instance, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.BaseClass instance
    type(c_ptr), value :: instance
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_rmi_InstanceRegistry_removeInstanceByClass_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_newLocal_c
#endif
interface
  subroutine sidl_rmi_InstanceRegistry_newLocal_c(self, exception) bind(c,     &
    name="sidl_rmi_InstanceRegistry_newLocal_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.rmi.InstanceRegistry self
    type(c_ptr) :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_rmi_InstanceRegistry_newLocal_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_newRemote_c
#endif
interface
  subroutine sidl_rmi_InstanceRegistry_newRemote_c(self, url, exception) bind( &
    c, name="sidl_rmi_InstanceRegistry_newRemote_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.rmi.InstanceRegistry self
    type(c_ptr) :: self
    !  in string url
    character(kind=c_char), dimension(*) :: url
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_rmi_InstanceRegistry_newRemote_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_rConnect_c
#endif
interface
  subroutine sidl_rmi_InstanceRegistry_rConnect_c(self, url, exception) bind(  &
    c, name="sidl_rmi_InstanceRegistry_rConnect_c")
    use, intrinsic :: iso_c_binding
    !  out sidl.rmi.InstanceRegistry self
    type(c_ptr) :: self
    !  in string url
    character(kind=c_char), dimension(*) :: url
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_rmi_InstanceRegistry_rConnect_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_addRef_c
#endif
interface
  subroutine sidl_rmi_InstanceRegistry_addRef_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.rmi.InstanceRegistry self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_rmi_InstanceRegistry_addRef_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_deleteRef_c
#endif
interface
  subroutine sidl_rmi_InstanceRegistry_deleteRef_c(self, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.rmi.InstanceRegistry self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_rmi_InstanceRegistry_deleteRef_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_isSame_c
#endif
interface
  integer(c_int) function sidl_rmi_InstanceRegistry_isSame_c(self, iobj,       &
    exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.rmi.InstanceRegistry self
    type(c_ptr), value :: self
    !  in sidl.BaseInterface iobj
    type(c_ptr), value :: iobj
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_rmi_InstanceRegistry_isSame_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_isType_c
#endif
interface
  integer(c_int) function sidl_rmi_InstanceRegistry_isType_c(self, name,       &
    exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.rmi.InstanceRegistry self
    type(c_ptr), value :: self
    !  in string name
    character(kind=c_char), dimension(*) :: name
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_rmi_InstanceRegistry_isType_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry_getClassInfo_c
#endif
interface
  type(c_ptr) function sidl_rmi_InstanceRegistry_getClassInfo_c(self,          &
    exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.rmi.InstanceRegistry self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_rmi_InstanceRegistry_getClassInfo_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_BaseClass__cast_c
#endif
interface
  subroutine sidl_BaseClass__cast_c(ref, retval, exception) bind(c,            &
    name="sidl_BaseClass__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.BaseClass retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_BaseClass__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry__cast_c
#endif
interface
  subroutine sidl_rmi_InstanceRegistry__cast_c(ref, retval, exception) bind(c, &
    name="sidl_rmi_InstanceRegistry__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.rmi.InstanceRegistry retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_rmi_InstanceRegistry__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_BaseInterface__cast_c
#endif
interface
  subroutine sidl_BaseInterface__cast_c(ref, retval, exception) bind(c,        &
    name="sidl_BaseInterface__cast_c")
    use, intrinsic :: iso_c_binding
    !  inout opaque ref
    type(c_ptr) :: ref
    !  out sidl.BaseInterface retval
    type(c_ptr) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_BaseInterface__cast_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry__exec_c
#endif
interface
  subroutine sidl_rmi_InstanceRegistry__exec_c(self, methodName, inArgs,       &
    outArgs, exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.rmi.InstanceRegistry self
    type(c_ptr), value :: self
    !  in string methodName
    character(kind=c_char), dimension(*) :: methodName
    !  in sidl.rmi.Call inArgs
    type(c_ptr), value :: inArgs
    !  in sidl.rmi.Return outArgs
    type(c_ptr), value :: outArgs
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_rmi_InstanceRegistry__exec_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry__getURL_c
#endif
interface
  type(c_ptr) function sidl_rmi_InstanceRegistry__getURL_c(self, exception)    &
    bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.rmi.InstanceRegistry self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_rmi_InstanceRegistry__getURL_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry__isRemote_c
#endif
interface
  integer(c_int) function sidl_rmi_InstanceRegistry__isRemote_c(self,          &
    exception) bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.rmi.InstanceRegistry self
    type(c_ptr), value :: self
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end function sidl_rmi_InstanceRegistry__isRemote_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry__isLocal_c
#endif
interface
  subroutine sidl_rmi_InstanceRegistry__isLocal_c(self, retval, exception)     &
    bind(c, name="sidl_rmi_InstanceRegistry__isLocal_c")
    use, intrinsic :: iso_c_binding
    !  in sidl.rmi.InstanceRegistry self
    type(c_ptr), value :: self
    !  out bool retval
    integer(c_int) :: retval
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_rmi_InstanceRegistry__isLocal_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry__set_hooks_c
#endif
interface
  subroutine sidl_rmi_InstanceRegistry__set_hooks_c(self, enable, exception)   &
    bind(c)
    use, intrinsic :: iso_c_binding
    !  in sidl.rmi.InstanceRegistry self
    type(c_ptr), value :: self
    !  in bool enable
    integer(c_int), value :: enable
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_rmi_InstanceRegistry__set_hooks_c
end interface
#ifdef FORTRAN_BINDC_PRIVATE
! visibility hack for IBM Fortran
private :: sidl_rmi_InstanceRegistry__set_hooks_static_c
#endif
interface
  subroutine sidl_rmi_InstanceRegistry__set_hooks_static_c(enable, exception)  &
    bind(c)
    use, intrinsic :: iso_c_binding
    !  in bool enable
    integer(c_int), value :: enable
    !  out sidl.BaseInterface exception
    type(c_ptr) :: exception
  end subroutine sidl_rmi_InstanceRegistry__set_hooks_static_c
end interface
