
dnl 
dnl @synopsis LLNL_SORT_F90LIBS
dnl 
dnl With certain Fortran compilers, the libs macro can be out of order.
dnl This macros moves all the arguments beginning with "-l" at the end
dnl but does not alter the relative ordering of "-l" arguments and non-"-l" 
dnl arguments; otherwise, 
dnl   If the answer is yes, 
dnl     it defines AR_CXX=$CXX, ARFLAGS_CXX=-xar, and RANLIB_CXX=echo
dnl   otherwise AR_CXX=ar, ARFLAGS_CXX=cuv, RANLIB_CXX=ranlib
dnl
dnl @version 
dnl @author 
dnl
dnl Note:  Clone of F77 version.
dnl

AC_DEFUN([LLNL_SORT_FCLIBS],
[AC_REQUIRE([LLNL_F90_LIBRARY_LDFLAGS])dnl
AC_MSG_CHECKING([form of Fortran 90 library flags])
f90libs1=
f90libs2=
for arg in $FCLIBS; do
  arg1=
  arg2=
  case "$arg" in 
    -l*)
      arg2=$arg
      ;;
    -L*)
      dir1=`echo $ECHO_N $arg | sed -e 's/^-L//'`
      if test -n "$dir1" -a -d "$dir1" ; then
	dir1ac=`cd "$dir1" && pwd`
        if test -n "$dir1ac" -a "$dir1ac" != '/usr/lib' -a "$dir1ac" != '/lib' -a "$dir1ac" != '/usr/lib64' -a "$dir1ac" != '/lib64' ; then
	  arg1=-L$dir1
	fi
      fi
      ;;
    /*.a)
      dir1=`dirname $arg`
      if test -n "$dir1" -a -d "$dir1" ; then
	dir1ac=`cd "$dir1" && pwd`
        if test -n "$dir1ac" -a "$dir1ac" != '/usr/lib' -a "$dir1ac" != '/lib' -a "$dir1ac" != '/usr/lib64' -a "$dir1ac" != '/lib64' ; then
	  arg1=-L$dir1
	fi
      fi
      arg2=`basename $arg .a`
      arg2=`echo $arg2 | sed 's/^lib/-l/'`
      ;;
    /*.so)
      dir1=`dirname $arg`
      if test -n "$dir1" -a -d "$dir1" ; then
	dir1ac=`cd "$dir1" && pwd`
        if test -n "$dir1ac" -a "$dir1ac" != '/usr/lib' -a "$dir1ac" != '/lib' -a "$dir1ac" != '/usr/lib64' -a "$dir1ac" != '/lib64' ; then
	  arg1=-L$dir1
	fi
      fi
      arg2=`basename $arg .so`
      arg2=`echo $arg2 | sed 's/^lib/-l/'`
      ;;
    *)
      arg1=$arg
      ;;
  esac; 
  if test -n "$arg1"; then
    exists=false
    for f in $f90libs1; do
      if test "x$arg1" = "x$f"; then 
        exists=true
      fi
    done
    if test "$exists" = true; then
      :
    else
      f90libs1="$f90libs1 $arg1"
    fi
  fi
  if test -n "$arg2"; then
    exists=false
    for f in $f90libs2; do
      if test "x$arg2" = "x$f"; then 
        exists=true
      fi
    done
    if test "$exists" = true; then
      :
    else
      f90libs2="$f90libs2 $arg2"
    fi
  fi
done
FCLIBS="$f90libs1 $f90libs2"
AC_MSG_RESULT($FCLIBS)
AC_SUBST(FCLIBS)
])
